%define beta %nil

# Enable debug mode
%define debug 0

Summary:	Graphical frontend to SANE
Name:		sane-frontends
Version:	1.0.14
Release:	19
License:	GPLv2+
Group:		Graphics
Url:		http://www.mostang.com/sane/
Source0:	ftp://ftp.sane-project.org/pub/sane/sane-frontends-%{version}/%{name}-%{version}%{beta}.tar.bz2
Source1:	sane-frontends16.png
Source2:	sane-frontends32.png
Source3:	sane-frontends48.png
Patch0:		sane-frontends-1.0.14-segfault.patch
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(gimp-2.0)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(sane-backends)
Requires:	sane

%description
This is the xscanimage program, used to scan images using SANE, either
standalone or as a gimp plugin. Also includes xcam and scanadf.

%files
%doc INSTALL NEWS README AUTHORS
%{_bindir}/*
%{_datadir}/sane/sane-style.rc
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_libdir}/gimp/2.0/plug-ins/xscanimage

#----------------------------------------------------------------------------

%prep
%setup -q -n sane-frontends-%{version}%{beta}
%patch0 -p1

%build
%if %{debug}
export DONT_STRIP=1
CFLAGS="`echo %{optflags} |perl -pi -e 's,-O3,-g,g'`" CXXFLAGS="`echo %{optflags} |perl -pi -e 's,-O3,-g,g'`" \
%endif
%configure2_5x
perl -pi -e 's#,-rpath,/usr/lib##' src/Makefile #yves 1.0.5-4mdk
# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h
%make

%install
%if %{debug}
export DONT_STRIP=1
%endif

%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/gimp/2.0/plug-ins
ln -s %{_bindir}/xscanimage %{buildroot}%{_libdir}/gimp/2.0/plug-ins

# menu icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %{SOURCE1} %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/sane-frontends.png
install -m 0644 %{SOURCE2} %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/sane-frontends.png
install -m 0644 %{SOURCE3} %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/sane-frontends.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xscanimage.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XScanImage
Comment=A simple frontend for the SANE scanning system
Comment[ru]=Простой интерфейс для системы сканирования SANE
Exec=%{_bindir}/xscanimage
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Graphics;Scanning;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xcam.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XCam
Comment=A SANE-based frontend for webcams
Comment[ru]=Фронтенд системы сканирования SANE для веб-камер
Exec=%{_bindir}/xcam
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;AudioVideo;Video;
EOF


%changelog

* Sat Apr 02 2016 Denis Silakov <dsilakov@gmail.com> 1.0.14-19
- (65bb147) Added Russian l10n to desktop file


